Loading...
Searching...
No Matches
pappso::masschroq::Utils Class Reference

`#include <utils.h>`

## Static Public Member Functions

static QString | getVersion ()
static QString | enumToString (PeakQualityCategory peak_category)
| Convenience function to return a string describing the specglob alingment type.
static QString | enumToString (Enums::XicExtractMethod extract_method)
static QString | enumToString (Enums::PrecisionUnit precision_unit)

## Detailed Description

Todo
  write docs

Definition at line 43 of file utils.h.

## Member Function Documentation

## enumToString() [1/3]

QString pappso::masschroq::Utils::enumToString | ( | Enums::PrecisionUnit | precision_unit | ) |

static

Definition at line 113 of file utils.cpp.

{
switch(precision_unit)
{
case Enums::PrecisionUnit::ppm:
return "ppm";
break;
case Enums::PrecisionUnit::dalton:
return "dalton";
break;
default:
break;
}
return "";
}
pappso::Enums::PrecisionUnit::ppm
@ ppm
Definition types.h:99
pappso::Enums::PrecisionUnit::dalton
@ dalton
Definition types.h:98

References pappso::Enums::dalton, and pappso::Enums::ppm.

## enumToString() [2/3]

QString pappso::masschroq::Utils::enumToString | ( | Enums::XicExtractMethod | extract_method | ) |

static

Definition at line 95 of file utils.cpp.

{
switch(extract_method)
{
case Enums::XicExtractMethod::sum:
return "sum";
break;
case Enums::XicExtractMethod::max:
return "max";
break;
default:
break;
}
return "";
}
pappso::Enums::XicExtractMethod::sum
@ sum
sum of intensities
Definition types.h:279
pappso::Enums::XicExtractMethod::max
@ max
maximum of intensities
Definition types.h:280

References pappso::Enums::max, and pappso::Enums::sum.

## enumToString() [3/3]

QString pappso::masschroq::Utils::enumToString | ( | PeakQualityCategory | peak_category | ) |

static

Convenience function to return a string describing the specglob alingment type.

Returns
  QString

Definition at line 44 of file utils.cpp.

{
switch(peak_category)
{
case PeakQualityCategory::a:
return "a";
break;
case PeakQualityCategory::aa:
return "aa";
break;
case PeakQualityCategory::ab:
return "ab";
break;
case PeakQualityCategory::za:
return "za";
break;
case PeakQualityCategory::zaa:
return "zaa";
break;
case PeakQualityCategory::zab:
return "zab";
break;
case PeakQualityCategory::b:
return "b";
break;
case PeakQualityCategory::c:
return "c";
break;
case PeakQualityCategory::d:
return "d";
break;
case PeakQualityCategory::missed:
return "missed";
break;
case PeakQualityCategory::nomatch:
return "nomatch";
break;
case PeakQualityCategory::post_matching:
return "pm";
break;
case PeakQualityCategory::last:
throw pappso::PappsoException(QObject::tr("no QString for PeakQualityCategory::last"));
break;
}
return "";
}
pappso::masschroq::PeakQualityCategory::a
@ a
peak detected using a single direct MS2 observation
Definition types.h:46
pappso::masschroq::PeakQualityCategory::ab
@ ab
Definition types.h:47
pappso::masschroq::PeakQualityCategory::missed
@ missed
no peak found at all
Definition types.h:60
pappso::masschroq::PeakQualityCategory::aa
@ aa
best possible : more than one direct MS2 fragmentation in same MSRUN
Definition types.h:45
pappso::masschroq::PeakQualityCategory::zab
@ zab
Definition types.h:51
pappso::masschroq::PeakQualityCategory::c
@ c
Definition types.h:54
pappso::masschroq::PeakQualityCategory::nomatch
@ nomatch
Definition types.h:43
pappso::masschroq::PeakQualityCategory::d
@ d
Definition types.h:56
pappso::masschroq::PeakQualityCategory::b
@ b
Definition types.h:52
pappso::masschroq::PeakQualityCategory::za
@ za
Definition types.h:50
pappso::masschroq::PeakQualityCategory::last
@ last
Definition types.h:61
pappso::masschroq::PeakQualityCategory::zaa
@ zaa
Definition types.h:49
pappso::masschroq::PeakQualityCategory::post_matching
@ post_matching
Definition types.h:58

References pappso::masschroq::a, pappso::masschroq::aa, pappso::masschroq::ab, pappso::masschroq::b, pappso::masschroq::c, pappso::masschroq::d, pappso::masschroq::last, pappso::masschroq::missed, pappso::masschroq::nomatch, pappso::masschroq::post_matching, pappso::masschroq::za, pappso::masschroq::zaa, and pappso::masschroq::zab.

Referenced by pappso::masschroq::QuantificationMethod::getJsonObject(), pappso::masschroq::QuantificationMethod::getProjectParameters(), and pappso::masschroq::CborOutputStream::writeMeasurement().

## getVersion()

QString pappso::masschroq::Utils::getVersion | ( |  | ) |

static

Definition at line 37 of file utils.cpp.

{
QString version(MASSCHROQ_VERSION);
return version;
}
MASSCHROQ_VERSION
#define MASSCHROQ_VERSION
Definition config.h:7

References MASSCHROQ_VERSION.

Referenced by pappso::masschroq::JsonInput::action(), and pappso::masschroq::CborOutputStream::writeActionBegin().

The documentation for this class was generated from the following files:

- pappsomspp/core/masschroq/utils.h
- pappsomspp/core/masschroq/utils.cpp